Loading...
Searching...
No Matches
casacore::ArrayFunctorBase< T, RES > Class Template Referenceabstract
casa package (libcasa_casa) » Arrays_module

More...

`#include <ArrayMathBase.h>`

## Public Member Functions

virtual | ~ArrayFunctorBase ()
virtual RES | operator() (const Array< T > &) const =0

## Detailed Description

template<typename T, typename RES = T>
class casacore::ArrayFunctorBase< T, RES >

Basic class for math on Array objects

### Review Status

Reviewed By:
  UNKNOWN
Test programs:
  tArrayMath

### Prerequisite

- Array

### Synopsis

The abstract base class ArrayFunctorBase is defined for functors to be used in functions like slidingXXX. Virtual functions instead of templated functions are used to avoid code bloat when used in functions like partialArrayMath. Because a reduction operation usually takes much more time than the call, using virtual functions hardly imposes a performance penalty.

Definition at line 51 of file ArrayMathBase.h.

## Constructor & Destructor Documentation

## ~ArrayFunctorBase()

template<typename T, typename RES = T>

virtual casacore::ArrayFunctorBase< T, RES >::~ArrayFunctorBase | ( |  | ) |

inline virtual

Definition at line 53 of file ArrayMathBase.h.

## Member Function Documentation

## operator()()

template<typename T, typename RES = T>

virtual RES casacore::ArrayFunctorBase< T, RES >::operator() | ( | const Array< T > & |  | ) | const

pure virtual

Implemented in casacore::AllFunc< T >, casacore::AnyFunc< T >, casacore::ArrayPartMath_global_functions_Array_partial_operations::AvdevFunc< T >, casacore::ArrayPartMath_global_functions_Array_partial_operations::FractileFunc< T >, casacore::ArrayPartMath_global_functions_Array_partial_operations::MadfmFunc< T >, casacore::ArrayPartMath_global_functions_Array_partial_operations::MaxFunc< T >, casacore::ArrayPartMath_global_functions_Array_partial_operations::MeanFunc< T >, casacore::ArrayPartMath_global_functions_Array_partial_operations::MedianFunc< T >, casacore::ArrayPartMath_global_functions_Array_partial_operations::MinFunc< T >, casacore::ArrayPartMath_global_functions_Array_partial_operations::ProductFunc< T >, casacore::ArrayPartMath_global_functions_Array_partial_operations::RmsFunc< T >, casacore::ArrayPartMath_global_functions_Array_partial_operations::StddevFunc< T >, casacore::ArrayPartMath_global_functions_Array_partial_operations::SumFunc< T >, casacore::ArrayPartMath_global_functions_Array_partial_operations::SumSqrFunc< T >, casacore::ArrayPartMath_global_functions_Array_partial_operations::VarianceFunc< T >, casacore::NFalseFunc< T, RES >, and casacore::NTrueFunc< T, RES >.

The documentation for this class was generated from the following file:

- casa/Arrays/ArrayMathBase.h